mav_timerStart(3)

NAME
mav_timerStart - Time and timer functions.

LEVEL
Maverik Level 1

SYNTAX
void mav_timerStart(MAV_timer *t);

void mav_timerStop(MAV_timer *t);

MAV_time mav_timeGet(void);

DESCRIPTION

mav_timeGet
    returns the CPU time used by the current program, and also the wallclock time.

mav_timerStart
    records in t the the current elapsed CPU time and wallclock time.

mav_timerStop
    records the current CPU and wallclock times in the end field of t, and computes the elapsed time, storing it in the elapsed field.